Bug 148746 - There don't exist configs and scripts directory in the kernel cvs tree.
There don't exist configs and scripts directory in the kernel cvs tree.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-02-15 01:17 EST by MASAO TAKAHASHI
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-15 01:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MASAO TAKAHASHI 2005-02-15 01:17:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
There don't exist configs and scripts directory in the kernel cvs tree.
Makefile.config file needs configs/config* files and scripts/*.pl files.
But I can not check out the above files with executing " cvs co
kernel" command.
Exactly, I can not find above files in the Fedora CVS Repository viewcvs
So, I encountered following error message when executing "make srpm"
"make: *** No rule to make target `configs/config-i686', needed by
`kernel-2.6.10-i686.config'.  Stop."


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cvs login
2. cvs co kernel
3.cd devel;make srpm

Actual Results:  Error message appered 
Not Producing srpm, prep ,...etc.

Additional info:
Comment 1 Dave Jones 2005-02-24 02:24:12 EST
do they appear if you do cvs update -PAd   ?
Comment 2 MASAO TAKAHASHI 2005-02-24 02:54:41 EST
Messages as follows appered.
But configs and scripts directories are already made by me.
cd kernel/devel
cvs update -PAd
Outputs are below.
? configs
? kernel-2.6.10-1.1136_FC4.mtakahashi.src.rpm
? kernel-2.6.10-1.1141_FC4.mtakahashi.src.rpm
? kernel-2.6.10-1.1145_FC4.mtakahashi.src.rpm
? kernel-2.6.10-1.1146_FC4.mtakahashi.src.rpm
? kernel-2.6.10-1.1148_FC4.mtakahashi.src.rpm
? scripts
cvs update: Updating .
P .cvsignore
M Makefile
M Makefile.config
RCS file: /cvs/dist/devel/kernel/kernel-2.6.spec,v
retrieving revision 1.1148
retrieving revision 1.1152
Merging differences between 1.1148 and 1.1152 into kernel-2.6.spec
M kernel-2.6.spec
U linux-2.6.10-crash-xen.patch
U linux-2.6.11-vm-taint.patch
U patch-2.6.11-rc4-bk11.bz2.sign
U patch-2.6.11-rc4-bk9.bz2.sign
P upstream
And to make srpm.
"make: *** No rule to make target `configs/config-i686', needed by
`kernel-2.6.10-i686.config'.  Stop."
is appered.
Comment 3 MASAO TAKAHASHI 2005-04-15 01:32:20 EDT
Current cvs has contained "configs" and "scripts" directories in the kernel

Note You need to log in before you can comment on or make changes to this bug.